(* main/control.sml *)

signature CONTROL =
  sig

	datatype filetype = BAD_FILE | RML_FILE | MO_FILE

    (* options for ReorderParse *)
    val doReorder: bool ref

    (* options for TypeCheck / StatElab *)
    val allowImplicitLet: bool ref

    (* options for FOLToCPS *)
    val warnNonExhaustive: bool ref

    (* options for CodeToC *)
    val switchRewriteThreshold: int ref

    (* -- start options for Debbuging (added by adrpo@ida.liu.se 2002-06-14) *)
    val doTrace: bool ref
    (* -- end adrpo@ida.liu.se 2002-06-14 *)

    val fileType : string -> filetype
    val pathSplit : string -> (string * string option)

  end (* signature CONTROL *)

